SDL_strpbrk(3)

NAME
SDL_strpbrk - Searches a string for the first occurrence of any character contained in a breakset, and returns a pointer from the string to that character.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

char * SDL_strpbrk(const char *str, const char *breakset);

FUNCTION PARAMETERS

str The null-terminated string to be searched. Must not be NULL, and must not overlap with breakset.

breakset
    A null-terminated string containing the list of characters to look for. Must not be NULL, and must not overlap with str.

RETURN VALUE
Returns A pointer to the location, in str, of the first occurrence of a character present in the breakset, or NULL if none is found.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.